@import url('https://fonts.googleapis.com/css2?family=Source+Sans+3:ital,wght@0,200..900;1,200..900&display=swap');

* {
    box-sizing: border-box;
}

html,
body {
    padding: 0;
    margin: 0;
}

body {
    font-family: "Source Sans 3", Helvetica, Arial, sans-serif;
    color: #AAA;
    height: 100vh;
    text-align: left;

    background: #000;
    background: -moz-linear-gradient(-45deg, #3D3D3D 0%, #212121 27%, #000000 100%);
    background: -webkit-linear-gradient(-45deg, #3D3D3D 0%, #212121 27%, #000000 100%);
    background: linear-gradient(135deg, #3D3D3D 0%, #212121 27%, #000000 100%);
    background-attachment: fixed;
}

.wrapper {
    width: 100%;
    margin: 0 auto;
    padding: 0 16px;
    position: relative;
}

header {
    margin: 0 0 40px;
    background: rgba(0,0,0,0.3);
    padding: 16px 0;
}

h1 {
    font-size: 2.5em;
    margin-bottom: 10px;
    font-weight: 200;
}

h1 span {
    color: #A267BF;
    text-transform: uppercase;
}

h2 {
    font-size: 19px;
    font-weight: 400;
}

h3 {
    color: #A267BF;
    font-weight: 400;
    margin: 0 0 8px;
}

p {
    font-size: 14px;
}

footer p {
    color: #868686;
}

footer .wrapper {
    padding: 0 16px 32px;
}

.gallery-block {
    background: rgba(71, 71, 71, 0.1);
    padding: 8px 16px 16px;
    border-radius: 1px;
    margin: 0 0 32px;
    border: solid 1px #333;
}

.social a {
    display: inline-block;
    font-size: 12px;
    line-height: 16px;
    padding: 8px;
    background: #A267BF;
    color: #000;
    font-weight: 600;
    opacity: 0.75;
    transition: 0.2s;
    border-radius: 1px;
    text-decoration: none;
}

.social a:hover {
    opacity: 1;
}

@media screen and (min-width: 860px) {
    .wrapper {
        width: 96%;
    }

    .gallery {
        flex-wrap: wrap;
        overflow: unset;
    }

    .gallery img {
        height: 148px;
    }

    .social {
        position: absolute;
        top: 12px;
        right: 16px;
    }
}

@media screen and (min-width: 1366px) {
    .wrapper {
        width: 90%;
    }
}

@media screen and (min-width: 1366px) {
    .wrapper {
        width: 86%;
        max-width: 1680px;
    }
}

/*.back-menu {
    position: fixed;
    top: 1rem;
    right: 1rem;
    border-radius: 8px;
    background-color: transparent;
}

.back-menu img {
    width: 48px;
    height: 48px;
}

.back-menu:hover {
    background-color: #f4f4f4;
}*/

/*--------------- GALLERY -------------------*/

.gallery {
    display: flex;
    flex-wrap: nowrap;
    gap: 10px;
    overflow: scroll;
}

.gallery img {
/*    width: 168px;*/
    width: auto;
    height: 128px;
    cursor: pointer;
    transition: transform 0.2s;
}

.gallery img:hover {
    transform: scale(1.05);
}

.lightbox {
    display: none;
    position: fixed;
    z-index: 10;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
}

.lightbox-content {
    display: block;
    margin: auto;
    max-width: 90%;
    max-height: 80%;
}

.close {
    position: absolute;
    top: 20px;
    right: 35px;
    color: #fff;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
}

.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    padding: 16px;
    color: #fff;
    font-weight: bold;
    font-size: 20px;
    transition: 0.3s;
    user-select: none;
}

.prev {
    left: 0;
}

.next {
    right: 0;
}

.prev:hover, .next:hover {
    background-color: rgba(0, 0, 0, 0.8);
}